#include<iostream>

using namespace std;

int main()
{
  long long int x1, y2, x2, y1;
  cin >> x1 >> y1;
  cin >> x2 >> y2;

  if((abs(x1 - x2)) == (abs(y1 - y2)))
  {
    cout << 1 << endl;
  }
  else if((x1 == x2) || (y1 == y2))
  {
    cout << 2 << endl;
  }
  else
  {
    cout << 0 << endl;
  }

  return 0;
}